
@import url('https://fonts.googleapis.com/css?family=Roboto');

/* width */
::-webkit-scrollbar {
    width: 6px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #201f1D; 
}
 
/* Handle */
::-webkit-scrollbar-thumb {
    background: #de8d47; 
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #de8d47; 
}


div.colorscheme{
color : #201f1D;
color : #ffffff;
color : #868685;
color : #de8d47;
color : #dcdcdc;
}

div.main {

	width:100%;
	height : 100%;
	background:#201f1D;
	display:block;
	position:absolute;
	margin:0;
	padding:0;
	top:0;
	left:0;
}


div#menu {

	z-index: 2;
	width : 16em;
	height:100%;
	top:0;
	left:0;
	display:block;
	position:absolute;
	background:#201f1D;
	transition : 0.5s;
	border-right: 5px solid #dcdcdc;
}

div#menu.hide {

	width : 4em;
	height:100%;
	transition : 0.5s;
}

div#menu-logo {

	width:100%;
	height : 3em;
	overflow: hidden;
	overflow-x : hidden;
	vertical-align: middle;
	text-align: center;
	line-height: 2.5em;
	color : #ffffff;
	font-family: 'Roboto';
}


button.menu-toggle {

	width : 3em;
	height: 3em;

	position:absolute;
	right:-1.6em;
	top:5em;

	text-align: center;
	vertical-align: middle;
	line-height: 2em;

	border-radius: 50%;
	color : #ffffff;
	border : 5px solid #dcdcdc;
	background : #201f1D;
	outline: none;

	font-family: 'Roboto';

	user-select: none;
}

div.menu-spacer {
	height : 4em;
	width:100%;
}

div.menu-item-shown{

	margin : auto;
	width : 60%;
	height : 1.5em;
	color : #dcdcdc;
	transition: 0.25s;
	cursor:pointer;
	text-align: left;
	margin-top:1em;
	user-select: none;
	font-family:'Roboto';
}
div.menu-item-shown:hover {
	color:#ffffff;
	transition:1.0s;
}

div.menu-item-hidden{

	width : 100%;
	height : 3em;
	margin-top: 1em;
	text-align: center;
	cursor:pointer;
	user-select: none;
	transition:0.5s;
}
div.menu-item-hidden:hover {
	transition:0.5s;
	background:#868685;
}

div.content {

	background:#201f1D;
	width:80%;
	right:5%;
	position:absolute;
	display: block;
	margin : auto;
	height : 100%;

	overflow-y:auto;
}


div.dashboard {
	margin-top : 3em;
	width : 80%;
	height : 100%;
	margin:auto;
}

div.dashboard-header {

	width: 100%;
	height: 2em;
	background : #201f1D;
	line-height: 2em;
	color : #de8d47;
	font-family: 'Roboto';

	font-size: 250%;
	vertical-align: middle;
	text-align: center;

}

div.dashboard-panel {
	margin-top:1.5em;
	width:100%;
	font-family: 'Roboto';

	background: #201f1D;

	border-top:2px solid  #dcdcdc;
}

div.dashboard-panel-header {

	height : 2em;
	font-size:150%;
	line-height: 2em;
	color : #de8d47;
	font-family: 'Roboto';

	font-size: 250%;
	vertical-align: middle;
	text-align: center;
	
}

div.dashboard-panel-content {

	color : #dcdcdc;
	font-family: 'Roboto';

}

tr.dashboard-table-header {
	border-bottom: 1px solid #de8d47;
	color : #de8d47;
}
td.dashboard-table-number {
	text-align: right;
}

div.all_trades {

	width : 100%;
	height : 100%;
}

div.popup-add {

	width : 64em;
	height: 48em;
	position:absolute;
	top:50%;
	left:50%;
	transform: translate(-50%,-50%);
	background : #201f1D;
	z-index:5;


	border : 1px solid #868685;
}

div.popup-header {
	height:1.5em;
	font-size: 150%;
	color: #de8d47;
	line-height: 1.5em;
	vertical-align: middle;
	text-align: center;
	width : 80%;

	border-bottom: 2px solid #868685;

	margin-top : 2em;
	margin-left:auto;
	margin-right:auto;
	font-family: 'Roboto';
}

div.popup-content {
	height : 75%;

	width: 80%;
	margin-top : 2em;
	margin-left: auto;
	margin-right: auto;

	font-family: 'Roboto';
	
	color:#dcdcdc;
}

input.popup-amount-input {
	
	display:block;
	margin:auto;
	background:none;
	border : none;
	color:white;
	font-family:'Roboto';
	outline: none;
	font-size: 150%;
	width : 5em;
	text-align: center;
	transition:0.5s;
	border-bottom : 1px solid white;
}
div.popup-amount-input:focus {
	background:#868685;
	transition:0.5s;
	outline:none;
}
input.popup-name-input {
	
	display:block;
	margin:auto;
	background:none;
	border : none;
	color:white;
	font-family:'Roboto';
	outline: none;
	font-size: 150%;
	width : 16em;
	text-align: center;
	transition:0.5s;
	border-bottom : 1px solid white;
}
div.popup-name-input:focus {
	background:#868685;
	transition:0.5s;
	outline:none;
}
input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
  -webkit-appearance: none; 
  margin: 0; 
}

div.button-close {
	color:#de8d47;
	width:1.5em;
	height:1.5em;
	font-size: 150%;
	vertical-align: middle;
	text-align: center;
	line-height: 1.5em;
	user-select: none;
	cursor: pointer;
	position: absolute;;
	top:0;
	right:0;

	font-family: 'Roboto';
}